#pragma once

#include <QString>



namespace geom
{


enum class GeomFileFormat
{
	None,
	Obj,
	Stl,
	Ply,
	Mqo,
	Collada,
	Pmd,
	XFile,
};


class FormatType
{
public:
	static GeomFileFormat GetGeomFileTypeFromPath(const QString& path);
	static GeomFileFormat GetGeomFileTypeFromFileExt(const QString& ext);
	static bool IsGeomFileExt(const QString& path);
};


}
